## univention-samba4 6.0.10-16A~4.2.0.201706151348

=== Makefile ===
#
# PAM Univention Samba Domain
#  Makefile for the pam_univentionsambadomain module
#
# Copyright 2011-2017 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

TITLE=pam_univentionsambadomain
#

DYNAMIC_LIBPAM=yes
MKDIR=mkdir -p
CFLAGS=-O2 -D_GNU_SOURCE -D_REENTRANT -DLINUX_PAM  -Wall -fPIC -Dlinux
DYNAMIC=-DPAM_DYNAMIC
CPPFLAGS=
TARGET_ARCH=-Di386
LD_D=gcc -shared -Wl,-x
INSTALL=install
LINKLIBS=
DESTDIR=
SECUREDIR=/lib/security
SHLIBMODE=0644

LIBSRC = $(TITLE).c
LIBOBJ = $(TITLE).o
LIBOBJD = $(addprefix dynamic/,$(LIBOBJ))

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(DYNAMIC) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

LIBSHARED = $(TITLE).so

####################### don't edit below #######################

all: dirs $(LIBSHARED)

dirs:
	$(MKDIR) ./dynamic


$(LIBOBJD): $(LIBSRC)

$(LIBSHARED):	$(LIBOBJD)
		$(LD_D) -o $@ $(LIBOBJD) $(LINKLIBS) -lpam -luniventionconfig

install: all
	$(MKDIR) $(DESTDIR)$(SECUREDIR)
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(DESTDIR)$(SECUREDIR)

remove:
	rm -f $(DESTDIR)$(SECUREDIR)/$(TITLE).so

clean:
	rm -f $(LIBOBJD) $(LIBOBJS) core *~ ${LIBSHARED}
	rm -rf ./dynamic


extraclean: clean
	rm -f *.a *.o *.so *.bak

.c.o:
	$(CC) $(CFLAGS) -c $<

=== debian/changelog ===
univention-samba4 (6.0.10-16A~4.2.0.201706151348) ucs4-2-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 15 Jun 2017 13:48:44 +0200

univention-samba4 (6.0.10-16) unstable; urgency=medium

  * Bug #39806, Bug #41190: update samba dependency version

 -- Arvid Requate <requate@univention.de>  Thu, 15 Jun 2017 13:48:18 +0200

univention-samba4 (6.0.10-15) unstable; urgency=medium

  * Bug #43478: Fix regression

 -- Arvid Requate <requate@univention.de>  Thu, 15 Jun 2017 13:45:36 +0200

univention-samba4 (6.0.10-14) unstable; urgency=medium

  * Bug #43478: Fix exit

 -- Arvid Requate <requate@univention.de>  Thu, 15 Jun 2017 13:12:38 +0200

univention-samba4 (6.0.10-13) unstable; urgency=medium

  * Bug #39806, Bug #41190: update samba dependency version

 -- Lukas Oyen <oyen@univention.de>  Thu, 15 Jun 2017 13:05:34 +0200

univention-samba4 (6.0.10-12) unstable; urgency=medium

  * Bug #43478: Revert collateral commit of unrelated patch

 -- Arvid Requate <requate@univention.de>  Thu, 15 Jun 2017 11:28:19 +0200

univention-samba4 (6.0.10-11) unstable; urgency=medium

  * Bug #43478: Check return code of get_available_s4connector_dc

 -- Arvid Requate <requate@univention.de>  Thu, 15 Jun 2017 11:21:19 +0200

univention-samba4 (6.0.10-10) unstable; urgency=medium

  * Bug #43478: Don't consider unreachable UCS@school Slave DCs
    for joining.

 -- Arvid Requate <requate@univention.de>  Wed, 14 Jun 2017 17:52:54 +0200

univention-samba4 (6.0.10-9) unstable; urgency=medium

  * Bug #44694: Make sysvol-sync.sh robust against varying stderr output
    from rsync

 -- Arvid Requate <requate@univention.de>  Thu, 01 Jun 2017 19:42:22 +0200

univention-samba4 (6.0.10-8) unstable; urgency=medium

  * Bug #43620: Allow uppercase CN: attribute in sysvol-cleanup.py

 -- Arvid Requate <requate@univention.de>  Thu, 01 Jun 2017 19:35:27 +0200

univention-samba4 (6.0.10-7) unstable; urgency=low

  * Bug #44643: added samba/client/min/protocol,
    samba/client/max/protocol

 -- Felix Botner <botner@univention.de>  Mon, 22 May 2017 19:12:33 +0200

univention-samba4 (6.0.10-6) unstable; urgency=low

  * Bug #44643: added samba/client/min/protocol,
    samba/client/max/protocol

 -- Felix Botner <botner@univention.de>  Mon, 22 May 2017 14:52:11 +0200

univention-samba4 (6.0.10-5) unstable; urgency=low

  * Bug #44643: added samba/min/protocol

 -- Felix Botner <botner@univention.de>  Mon, 22 May 2017 12:56:07 +0200

univention-samba4 (6.0.10-4) unstable; urgency=medium

  * Bug #44535: Adjust check_essential_samba4_dns_records.sh to change
    of behavior of the "host" command in UCS 4.2 / Debian jessie.

 -- Arvid Requate <requate@univention.de>  Thu, 04 May 2017 15:33:25 +0200

univention-samba4 (6.0.10-3) unstable; urgency=medium

  * Bug #43478: Don't consider unreachable UCS@school Slave DCs
    for joining and make get_available_s4connector_dc reusable for
    the S4-Connector.

 -- Arvid Requate <requate@univention.de>  Tue, 25 Apr 2017 20:52:52 +0200

univention-samba4 (6.0.10-2) unstable; urgency=medium

  * Bug #43280: Don't fail join if CNF-Objects are in serverReferenceBL.

 -- Arvid Requate <requate@univention.de>  Mon, 24 Apr 2017 19:53:09 +0200

univention-samba4 (6.0.10-1) unstable; urgency=medium

  * Bug #43620: Allow uppercase CN: attribute in sysvol-cleanup.py

 -- Arvid Requate <requate@univention.de>  Mon, 24 Apr 2017 19:30:20 +0200

univention-samba4 (6.0.9-10) unstable; urgency=medium

  * Bug #44118: service command doesn't work with the one-shot samba.service

 -- Arvid Requate <requate@univention.de>  Thu, 30 Mar 2017 11:28:25 +0200

univention-samba4 (6.0.9-9) unstable; urgency=low

  * Bug #43874: Work-around diverted univention-service needed by systemd

 -- Philipp Hahn <hahn@univention.de>  Thu, 16 Mar 2017 11:33:28 +0100

univention-samba4 (6.0.9-8) unstable; urgency=low

  * Bug #43470: Handle UCRV */autostart through systemd

 -- Philipp Hahn <hahn@univention.de>  Wed, 15 Mar 2017 08:52:56 +0100

univention-samba4 (6.0.9-7) unstable; urgency=medium

  * Set 'ntlm auth' by default to yes (Bug #42848)

 -- Arvid Requate <requate@univention.de>  Mon, 27 Feb 2017 19:24:59 +0100

univention-samba4 (6.0.9-6) unstable; urgency=medium

  * Bug #41319: samba4-idmap --direct-resync now flushes the samba gencache

 -- Arvid Requate <requate@univention.de>  Thu, 16 Feb 2017 15:38:03 +0100

univention-samba4 (6.0.9-5) unstable; urgency=medium

  * Bug #43073: Use standard UCR interfaces list

 -- Arvid Requate <requate@univention.de>  Thu, 16 Feb 2017 15:03:06 +0100

univention-samba4 (6.0.9-4) unstable; urgency=medium

  * Bug #42819: Let samba4-idmap listener module initialize the idmap.ldb

 -- Arvid Requate <requate@univention.de>  Wed, 15 Feb 2017 19:04:14 +0100

univention-samba4 (6.0.9-3) unstable; urgency=low

  * Bug #43501: Restart UDL after UCRV samba4/role is set

 -- Philipp Hahn <hahn@univention.de>  Mon, 06 Feb 2017 14:17:56 +0100

univention-samba4 (6.0.9-2) unstable; urgency=medium

  * Bug #42624: New UCR variable samba4/kccsrv/samba_kcc

 -- Arvid Requate <requate@univention.de>  Mon, 31 Oct 2016 17:34:56 +0100

univention-samba4 (6.0.9-1) unstable; urgency=medium

  * Bug #42624: run dbcheck --fix on update to Samba 4.5.1

 -- Arvid Requate <requate@univention.de>  Mon, 31 Oct 2016 17:20:48 +0100

univention-samba4 (6.0.8-1) unstable; urgency=medium

  * Bug #42679: samba*SecurityMode is not supported any longer in Samba,
    so samba-shares.py shouldn't write the corresponding parameters.

 -- Arvid Requate <requate@univention.de>  Mon, 31 Oct 2016 16:14:56 +0100

univention-samba4 (6.0.7-1) unstable; urgency=medium

  * Check the s4connector host via samba-tool domain info (Bug #30836)

 -- Stefan Gohmann <gohmann@univention.de>  Mon, 17 Oct 2016 19:59:58 +0200

univention-samba4 (6.0.6-1) unstable; urgency=medium



=== debian/control ===
Source: univention-samba4
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.5.5
Build-Depends: debhelper (>> 7),
 univention-config-dev,
 ucslint-univention,
 libpam0g-dev,
 libunivention-config-dev

Package: univention-samba4
Architecture: any
Conflicts: univention-samba
Depends: ${misc:Depends},
 univention-config (>= 8.0.2-1),
 univention-directory-manager-tools (>> 7.0.147),
 shell-univention-lib (>= 4.0.3-5),
 python-univention-lib (>= 1.0.45),
 python-univention (>= 6.0.9-3),
 python-netifaces,
 samba (>= 2:4.6.1-1A~4.2.0.201706150016),
 samba-vfs-modules,
 ldb-tools,
 winbind,
 univention-samba-local-config,
 pwgen,
 univention-samba4-sysvol-sync (= ${binary:Version})
Recommends: univention-nagios-samba
Description: UCS - Samba4 integration package
 This package contains the scripts and patches
 for integration of Samba4 into Univention Corporate Server (UCS)
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: univention-samba4-sysvol-sync
Architecture: all
Depends: ${misc:Depends},
 univention-config,
 rsync (>=3.0.7-2),
 util-linux,
 shell-univention-lib
Breaks: univention-samba4 ( << 1.0.139-2)
Description: UCS - Samba4 sysvol synchronization
 This package contains the scripts and configuration
 for integration the Samba4 sysvol synchronisation into
 Univention Corporate Server (UCS)
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Samba4
#  rules file
#
# Copyright 2004-2017 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

override_dh_auto_build:
	msgfmt -o de.mo de.po
	dh_auto_build

override_dh_auto_install:
	univention-install-config-registry
	dh_auto_install 

override_dh_fixperms-arch:
	chmod 755 debian/univention-samba4/usr/lib/univention-install/96univention-samba4.inst
	chmod 755 debian/univention-samba4/usr/lib/univention-install/98univention-samba4-dns.inst
	chmod 755 debian/univention-samba4/usr/lib/univention-directory-listener/system/samba-shares.py
	chmod 755 debian/univention-samba4/usr/lib/univention-directory-listener/system/samba4-idmap.py
	chmod 755 debian/univention-samba4/usr/share/univention-samba4/scripts/purge_s4_computer.py
	dh_fixperms 

override_dh_fixperms-indep:
	chmod 755 debian/univention-samba4-sysvol-sync/usr/share/univention-samba4/scripts/sysvol-sync.sh
	chmod 755 debian/univention-samba4-sysvol-sync/usr/share/univention-samba4/scripts/sysvol-cleanup.py
	dh_fixperms

override_dh_installinit:
	dh_installinit -a --no-start -u"defaults 97"

override_dh_auto_test:
	ucslint
	dh_auto_test

%:
	dh $@

## univention-samba4 9.0.6-3A~5.0.0.202106221159

=== debian/changelog ===
univention-samba4 (9.0.6-3A~5.0.0.202106221159) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 22 Jun 2021 11:59:09 +0200

univention-samba4 (9.0.6-3) unstable; urgency=medium

  * Bug #53414: prevent listener traceback when removing samba share
    with NT ACLs

 -- Florian Best <best@univention.de>  Mon, 21 Jun 2021 12:36:14 +0200

univention-samba4 (9.0.6-2) unstable; urgency=medium

  * Bug #53458: fix Python 3 migration of samba-shares.py listener

 -- Florian Best <best@univention.de>  Thu, 17 Jun 2021 08:00:25 +0200

univention-samba4 (9.0.6-1) unstable; urgency=medium

  * Bug #53093: Provide script migrate_legacy_dns_zones.sh

 -- Arvid <requate@univention.de>  Wed, 14 Apr 2021 12:03:49 +0200

univention-samba4 (9.0.5-2) unstable; urgency=medium

  * Bug #51522: Change default for samba/acl_search to yes

 -- Arvid <requate@univention.de>  Thu, 01 Apr 2021 11:26:36 +0200

univention-samba4 (9.0.5-1) unstable; urgency=medium

  * Bug #52485: Depend on samba-dsdb-modules

 -- Arvid <requate@univention.de>  Fri, 11 Dec 2020 23:13:29 +0100

univention-samba4 (9.0.4-1) unstable; urgency=medium

  * Bug #51835: add new ucr variable "create/spn/account/timeout".
  * Bug #51835: default timeout in create_spn_account.sh to 10800s

 -- Christian Castens <castens@univention.de>  Fri, 06 Nov 2020 14:02:01 +0100

univention-samba4 (9.0.3-1) unstable; urgency=medium

  * Bug #43686: replace init.d with systemctl calls for UDL

 -- Sebastian Lobinger <lobinger@univention.de>  Fri, 30 Oct 2020 16:36:39 +0100

univention-samba4 (9.0.2-2) unstable; urgency=medium

  * Bug #49898: Remove deprecated parameter "encrypt passwords"
    and corresponding UCR variable samba/encrypt_passwords.
  * Don't write deprecated parameter "blocking locks" into
    shares definitions any longer.
  * Don't set deprecated parameter "domain logons = yes" any longer,
    it's for NT4 style domains.

 -- Arvid <requate@univention.de>  Wed, 28 Oct 2020 16:42:47 +0100

univention-samba4 (9.0.2-1) unstable; urgency=medium

  * Bug #52045: migrate scripts to Python 3

 -- Florian Best <best@univention.de>  Tue, 20 Oct 2020 15:57:25 +0200

univention-samba4 (9.0.1-3) unstable; urgency=medium

  * Bug #42374: QA fixes

 -- Arvid <requate@univention.de>  Tue, 29 Sep 2020 14:40:45 +0200

univention-samba4 (9.0.1-2) unstable; urgency=medium

  * Bug #42374: Wording

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 23 Sep 2020 00:07:24 +0200

univention-samba4 (9.0.1-1) unstable; urgency=medium

  * Bug #52017: ipaddr → ipaddress

 -- Florian Best <best@univention.de>  Tue, 15 Sep 2020 17:09:45 +0200

univention-samba4 (9.0.0-3) unstable; urgency=medium

  * Bug #51572: fix pam_univentionsambadomain.c

 -- Florian Best <best@univention.de>  Wed, 09 Sep 2020 10:57:29 +0200

univention-samba4 (9.0.0-2) unstable; urgency=medium

  * Bug #51473: Add dependency on package 'acl'

 -- Arvid <requate@univention.de>  Wed, 09 Sep 2020 10:57:28 +0200

univention-samba4 (9.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 09 Sep 2020 10:57:27 +0200

univention-samba4 (8.0.0-32) unstable; urgency=medium

  * Bug #42182: apply additional aces from appendACL on share folders

 -- Tobias Wenzel <wenzel@univention.de>  Tue, 9 Sep 2020 08:44:01 +0200

univention-samba4 (8.0.0-31) unstable; urgency=medium

  * Bug #51131: fix print statements

 -- Florian Best <best@univention.de>  Wed, 22 Apr 2020 15:46:01 +0200

univention-samba4 (8.0.0-30) unstable; urgency=medium

  * Bug #51131: make UCR templates compatible to python3

 -- Florian Best <best@univention.de>  Tue, 21 Apr 2020 13:33:59 +0200

univention-samba4 (8.0.0-28) unstable; urgency=medium

  * Bug #48698: Fix user visible spelling errors

 -- Philipp Hahn <hahn@univention.de>  Thu, 08 Aug 2019 05:46:40 +0200

univention-samba4 (8.0.0-27) unstable; urgency=medium

  * Bug #42241: re add systemd definition otherwise the systemd service is not
  	unmasked

 -- Florian Best <best@univention.de>  Mon, 05 Aug 2019 13:50:42 +0200

univention-samba4 (8.0.0-26) unstable; urgency=medium

  * Bug #42241: fix service definition of samba

 -- Florian Best <best@univention.de>  Fri, 02 Aug 2019 15:26:00 +0200

univention-samba4 (8.0.0-25) unstable; urgency=medium

  * Bug #49399: If samba-backup fails, cron will send system e-mails to admins etc.

 -- Fathan Vidjaja <vidjaja@univention.de>  Mon, 24 Jun 2019 13:58:15 +0200

univention-samba4 (8.0.0-24) unstable; urgency=medium

  * Bug #44054: do not quote already quoted
    univentionShareSambaValidUsers univentionShareSambaInvalidUsers

 -- Florian Best <best@univention.de>  Tue, 21 May 2019 12:19:02 +0200

univention-samba4 (8.0.0-23) unstable; urgency=medium

  * Bug #44054: Fix vulnerabilities in samba-shares listener:
  * Share names are now validated.
  * The blacklist for share paths is now evaluated correctly.
  * Configuration values are now correctly quoted to prevent injecting
  	multiple further share entries.

 -- Florian Best <best@univention.de>  Mon, 20 May 2019 13:12:23 +0200

univention-samba4 (8.0.0-22) unstable; urgency=medium

  * Bug #49193: fixed messages

 -- Felix Botner <botner@univention.de>  Mon, 13 May 2019 13:08:02 +0200

univention-samba4 (8.0.0-21) unstable; urgency=medium

  * Bug #34848: using samba password generator for administrator

 -- Fathan Vidjaja <vidjaja@univention.de>  Tue, 07 May 2019 12:03:47 +0200

univention-samba4 (8.0.0-20) unstable; urgency=medium

  * Bug #49193: Restore keytab if samba password change fails, and code cleanup

 -- Julia Bremer <bremer@univention.de>  Thu, 25 Apr 2019 10:33:14 +0200

univention-samba4 (8.0.0-19) unstable; urgency=medium

  * Bug #49193: Set new sambapassword in server_password_change earlier, to be able to rollback if this fails.



=== debian/control ===
Source: univention-samba4
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.5.5
Build-Depends:
 debhelper,
 libpam0g-dev,
 libunivention-config-dev (>= 15.0.3),
 univention-config-dev (>= 15.0.3),
 univention-l10n-dev (>= 7.0.1),

Package: univention-samba4
Architecture: any
Conflicts:
 samba (<<2:4.7.3+dfsg-1),
 univention-samba,
Depends:
 acl,
 ldb-tools,
 libunivention-ldb-modules,
 pwgen,
 python-univention (>= 6.0.9-3),
 python-univention-lib (>= 1.0.45),
 python3-univention,
 python3-univention-heimdal,
 python3-univention-lib,
 samba (>= 2:4.13.0-1),
 samba-dsdb-modules,
 samba-vfs-modules,
 shell-univention-lib (>= 6.0.9-8),
 univention-config (>= 15),
 univention-directory-manager-tools (>= 13.0.21-21),
 univention-join (>= 10.0.0-12),
 univention-samba-local-config,
 univention-samba4-sysvol-sync (= ${binary:Version}),
 winbind,
 ${misc:Depends},
Recommends:
 univention-nagios-samba,
Description: UCS - Samba4 integration package
 This package contains the scripts and patches
 for integration of Samba4 into Univention Corporate Server (UCS)
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-samba4-sysvol-sync
Architecture: all
Depends:
 rsync (>=3.0.7-2),
 shell-univention-lib,
 univention-config,
 util-linux,
 ${misc:Depends},
Breaks:
 univention-samba4 ( << 1.0.139-2),
Description: UCS - Samba4 sysvol synchronization
 This package contains the scripts and configuration
 for integration the Samba4 sysvol synchronisation into
 Univention Corporate Server (UCS)
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

## univention-samba4 9.0.6-5A~5.0.0.202111081945

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # PAM Univention Samba Domain
 #  Makefile for the pam_univentionsambadomain module
 #
-# Copyright 2011-2017 Univention GmbH
+# Copyright 2011-2021 Univention GmbH
 #
-# http://www.univention.de/
+# https://www.univention.de/
 #
 # All rights reserved.
 #
@@ -27,7 +27,7 @@
 # You should have received a copy of the GNU Affero General Public
 # License with the Debian GNU/Linux or Univention distribution in file
 # /usr/share/common-licenses/AGPL-3; if not, see
-# <http://www.gnu.org/licenses/>.
+# <https://www.gnu.org/licenses/>.
 
 TITLE=pam_univentionsambadomain
 #

=== debian/changelog ===
univention-samba4 (9.0.6-5A~5.0.0.202111081945) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 08 Nov 2021 19:45:07 +0100

univention-samba4 (9.0.6-5) unstable; urgency=medium

  * Bug #54013: Depend on Samba 4.13.13 and restart samba+bind9 on update

 -- Arvid <requate@univention.de>  Mon, 08 Nov 2021 19:40:36 +0100

univention-samba4 (9.0.6-4) unstable; urgency=medium

  * Bug #53182: Add timestamps to server_password_change log messages

 -- Erik Damrose <damrose@univention.de>  Fri, 22 Oct 2021 09:22:40 +0200

## univention-samba4 9.0.6-6A~5.0.0.202111181025

=== debian/changelog ===
univention-samba4 (9.0.6-6A~5.0.0.202111181025) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 18 Nov 2021 10:25:45 +0100

univention-samba4 (9.0.6-6) unstable; urgency=medium

  * Bug #53438: Fix for the tar command for backup script. 

 -- Esteban Martinena <martinena@univention.de>  Tue, 16 Nov 2021 10:55:28 +0100

## univention-samba4 9.0.6-7A~5.0.0.202201040825

=== debian/changelog ===
univention-samba4 (9.0.6-7A~5.0.0.202201040825) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 04 Jan 2022 08:25:56 +0100

univention-samba4 (9.0.6-7) unstable; urgency=medium

  * Bug #52987: Configure ticket lifetime with
    kerberos/defaults/ticket-lifetime.

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Tue, 04 Jan 2022 08:02:14 +0100

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
  libunivention-ldb-modules,
  pwgen,
  python-univention (>= 6.0.9-3),
- python-univention-lib (>= 1.0.45),
  python3-univention,
  python3-univention-heimdal,
- python3-univention-lib,
- samba (>= 2:4.13.0-1),
+ samba (>= 2:4.13.13-1),
  samba-dsdb-modules,
  samba-vfs-modules,
- shell-univention-lib (>= 6.0.9-8),
+ python-univention-lib (>= 9.0.11-9),
+ python3-univention-lib (>= 9.0.11-9),
+ shell-univention-lib (>= 9.0.11-9),
  univention-config (>= 15),
  univention-directory-manager-tools (>= 13.0.21-21),
  univention-join (>= 10.0.0-12),

## univention-samba4 9.0.6-8A~5.0.0.202201181446

=== debian/changelog ===
univention-samba4 (9.0.6-8A~5.0.0.202201181446) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 18 Jan 2022 14:46:06 +0100

univention-samba4 (9.0.6-8) unstable; urgency=medium

  * Bug #54356: Fixed After Server-Password-Change samba process is not started 
    due to Failed to listen on ::1:135

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Tue, 18 Jan 2022 14:25:58 +0100

## univention-samba4 9.0.6-11A~5.0.0.202202031504

=== debian/changelog ===
univention-samba4 (9.0.6-11A~5.0.0.202202031504) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 03 Feb 2022 15:04:17 +0100

univention-samba4 (9.0.6-11) unstable; urgency=medium

  * Bug #53100: Fix path of samba-authentication-file

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Thu, 03 Feb 2022 14:59:23 +0100

univention-samba4 (9.0.6-10) unstable; urgency=medium

  * Bug #53100: Revert changes in samba-tool domain no accept
    authentication file

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Wed, 26 Jan 2022 11:05:18 +0100

univention-samba4 (9.0.6-9) unstable; urgency=medium

  * Bug #53100: Passes credentials with an authentication file to remove 
    credentials in clear text

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Tue, 25 Jan 2022 09:38:08 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  shell-univention-lib (>= 9.0.11-9),
  univention-config (>= 15),
  univention-directory-manager-tools (>= 13.0.21-21),
- univention-join (>= 10.0.0-12),
+ univention-join (>= 12.0.3-11),
  univention-samba-local-config,
  univention-samba4-sysvol-sync (= ${binary:Version}),
  winbind,

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # Univention Samba4
 #  rules file
 #
-# Copyright 2004-2017 Univention GmbH
+# Copyright 2004-2021 Univention GmbH
 #
-# http://www.univention.de/
+# https://www.univention.de/
 #
 # All rights reserved.
 #
@@ -28,36 +28,23 @@
 # You should have received a copy of the GNU Affero General Public
 # License with the Debian GNU/Linux or Univention distribution in file
 # /usr/share/common-licenses/AGPL-3; if not, see
-# <http://www.gnu.org/licenses/>.
-
-override_dh_auto_build:
-	msgfmt -o de.mo de.po
-	dh_auto_build
-
-override_dh_auto_install:
-	univention-install-config-registry
-	dh_auto_install 
+# <https://www.gnu.org/licenses/>.
 
 override_dh_fixperms-arch:
+	dh_fixperms
 	chmod 755 debian/univention-samba4/usr/lib/univention-install/96univention-samba4.inst
 	chmod 755 debian/univention-samba4/usr/lib/univention-install/98univention-samba4-dns.inst
 	chmod 755 debian/univention-samba4/usr/lib/univention-directory-listener/system/samba-shares.py
 	chmod 755 debian/univention-samba4/usr/lib/univention-directory-listener/system/samba4-idmap.py
 	chmod 755 debian/univention-samba4/usr/share/univention-samba4/scripts/purge_s4_computer.py
-	dh_fixperms 
 
 override_dh_fixperms-indep:
+	dh_fixperms
 	chmod 755 debian/univention-samba4-sysvol-sync/usr/share/univention-samba4/scripts/sysvol-sync.sh
 	chmod 755 debian/univention-samba4-sysvol-sync/usr/share/univention-samba4/scripts/sysvol-cleanup.py
-	dh_fixperms
 
 override_dh_installinit:
 	dh_installinit -a --no-start -u"defaults 97"
 
-override_dh_auto_test:
-	ucslint
-	dh_auto_test
-
 %:
-	dh $@
-
+	dh $@ --with univention-l10n,ucr

## univention-samba4 9.0.8-1A~5.0.0.202206231941

=== debian/changelog ===
univention-samba4 (9.0.8-1A~5.0.0.202206231941) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 23 Jun 2022 19:41:36 +0200

univention-samba4 (9.0.8-1) unstable; urgency=medium

  * Bug #54748: add dependencies to monitoring packages

 -- Florian Best <best@univention.de>  Thu, 23 Jun 2022 18:46:37 +0200

univention-samba4 (9.0.7-1) unstable; urgency=medium

  * Bug #54682: option --debug-stderr became default, option has been removed

 -- Julia Bremer <bremer@univention.de>  Mon, 02 May 2022 08:20:11 +0200

univention-samba4 (9.0.6-13) unstable; urgency=medium

  * Bug #49842: fix breaking VFS objects and other configuration through
    double quoting tokens

 -- Florian Best <best@univention.de>  Tue, 26 Apr 2022 02:04:41 +0200

univention-samba4 (9.0.6-12) unstable; urgency=medium

  * Bug #54688: fix support for shares "map acl inherit = yes"

 -- Florian Best <best@univention.de>  Mon, 25 Apr 2022 15:31:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Samba4
 #  rules file
 #
-# Copyright 2004-2021 Univention GmbH
+# Copyright 2004-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-samba4 9.0.8-2A~5.0.0.202207141233

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # PAM Univention Samba Domain
 #  Makefile for the pam_univentionsambadomain module
 #
-# Copyright 2011-2021 Univention GmbH
+# Copyright 2011-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-samba4 (9.0.8-2A~5.0.0.202207141233) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 14 Jul 2022 12:33:22 +0200

univention-samba4 (9.0.8-2) unstable; urgency=medium

  * Bug #54273: Include debug script in server_password_change.d/univention-samba4 subscript

 -- Juan Carlos García García <garcia-garcia.extern@univention.de>  Tue, 05 Jul 2022 12:25:08 +0200

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
  winbind,
  ${misc:Depends},
 Recommends:
+ univention-monitoring-samba,
  univention-nagios-samba,
 Description: UCS - Samba4 integration package
  This package contains the scripts and patches

## univention-samba4 9.0.8-4A~5.0.0.202208021731

=== debian/changelog ===
univention-samba4 (9.0.8-4A~5.0.0.202208021731) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 02 Aug 2022 17:31:16 +0200

univention-samba4 (9.0.8-4) unstable; urgency=medium

  * Bug #54791: Sync DNS objects needed for join directly

 -- Julia Bremer <bremer@knut.univention.de>  Tue, 02 Aug 2022 11:00:27 +0200

univention-samba4 (9.0.8-3) unstable; urgency=medium

  * Bug #54994: Add dependency on specific samba-dsdb-modules version, to
    avoid dependency problems during installation

 -- Erik Damrose <damrose@univention.de>  Mon, 25 Jul 2022 16:08:12 +0200

## univention-samba4 9.0.8-8A~5.0.0.202211211027

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #
 # PAM Univention Samba Domain
 #  Makefile for the pam_univentionsambadomain module
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2011-2022 Univention GmbH
 #

=== debian/changelog ===
univention-samba4 (9.0.8-8A~5.0.0.202211211027) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 21 Nov 2022 10:27:42 +0100

univention-samba4 (9.0.8-8) unstable; urgency=medium

  * Bug #55218: Adjust joinscripts in case of schools with multiple s4 connectors

 -- Julia Bremer <bremer@univention.de>  Mon, 21 Nov 2022 10:23:01 +0100

univention-samba4 (9.0.8-7) unstable; urgency=medium

  * Bug #52230: Support for ntPwdHistory attribute in s4search-decode

 -- Juan Carlos García García <garcia-garcia.extern@univention.de>  Fri, 26 Aug 2022 10:33:58 +0200

univention-samba4 (9.0.8-6) unstable; urgency=medium

  * Bug #55082: Option for authentication file is part of (patched) samba

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Tue, 22 Aug 2022 11:55:27 +0200

univention-samba4 (9.0.8-5) unstable; urgency=medium

  * Bug #55077: fixed pickle handling in the listener when renaming a share

 -- Mika Westphal <westphal@univention.de>  Fri, 12 Aug 2022 14:02:18 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-univention,
  python3-univention-heimdal,
  samba (>= 2:4.13.13-1),
- samba-dsdb-modules,
+ samba-dsdb-modules (>= 2:4.16.2-1A~5.0.0.202207191731),
  samba-vfs-modules,
  python-univention-lib (>= 9.0.11-9),
  python3-univention-lib (>= 9.0.11-9),

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 #
 # Univention Samba4
 #  rules file
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2004-2022 Univention GmbH
 #

## univention-samba4 9.0.11-2A~5.0.0.202302061645

=== debian/changelog ===
univention-samba4 (9.0.11-2A~5.0.0.202302061645) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 06 Feb 2023 16:45:49 +0100

univention-samba4 (9.0.11-2) unstable; urgency=medium

  * Bug #42330: Remove old maintainer script package update code

 -- Philipp Hahn <hahn@univention.de>  Mon, 06 Feb 2023 14:21:35 +0100

univention-samba4 (9.0.11-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:46 +0100

univention-samba4 (9.0.10-1) unstable; urgency=medium

  * Bug #53092: Added fail checks for the join scripts

 -- Mika Westphal <westphal@univention.de>  Thu, 02 Feb 2023 13:18:38 +0100

univention-samba4 (9.0.9-1) unstable; urgency=medium

  * Bug #55554: Fix UCR variable typing

 -- Philipp Hahn <hahn@univention.de>  Wed, 18 Jan 2023 09:48:10 +0100

univention-samba4 (9.0.8-10) unstable; urgency=medium

  * Bug #55435: rotate new logfiles

 -- Arvid <requate@univention.de>  Mon, 16 Jan 2023 16:56:50 +0100

univention-samba4 (9.0.8-9) unstable; urgency=medium

  * Bug #54156: Grant SePrintOperatorPrivilege to Administrator
    and Printer-Admins by default.

 -- Arvid <requate@univention.de>  Mon, 09 Jan 2023 19:38:27 +0100

## univention-samba4 9.0.11-5A~5.0.0.202302151614

=== debian/changelog ===
univention-samba4 (9.0.11-5A~5.0.0.202302151614) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 15 Feb 2023 16:14:05 +0100

univention-samba4 (9.0.11-5) unstable; urgency=medium

  * Bug #55597: move old logs during update

 -- Felix Botner <botner@univention.de>  Wed, 15 Feb 2023 12:42:58 +0100

univention-samba4 (9.0.11-4) unstable; urgency=medium

  * Bug #55677: Fix samba restart in postinst

 -- Arvid <requate@univention.de>  Mon, 13 Feb 2023 18:37:57 +0100

univention-samba4 (9.0.11-3) unstable; urgency=medium

  * Bug #55597: logrotate samba-dcerpcd

 -- Felix Botner <botner@univention.de>  Wed, 08 Feb 2023 21:37:07 +0100

## univention-samba4 9.0.13-2

=== debian/changelog ===
univention-samba4 (9.0.13-2) unstable; urgency=medium

  * Bug #56077: Allow services to use aes encryption as well as arcfour

 -- Julia Bremer <bremer@univention.de>  Wed, 14 Jun 2023 17:35:48 +0200

univention-samba4 (9.0.13-1) unstable; urgency=medium

  * Bug #55922: replace systemctl with deb-systemd-invoke for UMC
    restarts

 -- Florian Best <best@univention.de>  Sun, 11 Jun 2023 08:33:07 +0200

univention-samba4 (9.0.12-1) unstable; urgency=medium

  * Bug #31388: add share configuration for "read list"

 -- Florian Best <best@univention.de>  Thu, 08 Jun 2023 20:53:53 +0200

univention-samba4 (9.0.11-6) unstable; urgency=medium

  * Bug #55686: Fix missing bytecode to string conversion in
    samba4-idmap.py leading to broken xidNumber entries in idmap.ldb

 -- Arvid <requate@univention.de>  Thu, 16 Feb 2023 13:10:22 +0100

=== debian/control ===
--- 
+++ 
@@ -21,13 +21,13 @@
  libunivention-ldb-modules,
  pwgen,
  python-univention (>= 6.0.9-3),
+ python-univention-lib (>= 9.0.11-9),
  python3-univention,
  python3-univention-heimdal,
+ python3-univention-lib (>= 9.0.11-9),
  samba (>= 2:4.13.13-1),
  samba-dsdb-modules (>= 2:4.16.2-1A~5.0.0.202207191731),
  samba-vfs-modules,
- python-univention-lib (>= 9.0.11-9),
- python3-univention-lib (>= 9.0.11-9),
  shell-univention-lib (>= 9.0.11-9),
  univention-config (>= 15),
  univention-directory-manager-tools (>= 13.0.21-21),

## univention-samba4 9.0.13-5

=== debian/changelog ===
univention-samba4 (9.0.13-5) unstable; urgency=medium

  * Bug #55937: The default timeout for initial replication
    of the DNS host record of a joining system can now be adjusted

 -- Arvid <requate@univention.de>  Tue, 08 Aug 2023 12:12:44 +0200

univention-samba4 (9.0.13-4) unstable; urgency=medium

  * Bug #49207: The spn account creation now ignores the password length
    and history

 -- Mika Westphal <westphal@univention.de>  Thu, 03 Aug 2023 08:47:50 +0200

## univention-samba4 9.0.13-6

=== debian/changelog ===
univention-samba4 (9.0.13-6) unstable; urgency=medium

  * Bug #56383: The PAM stack for samba should only use
    the parts for account and session.

 -- Arvid <requate@univention.de>  Mon, 15 Aug 2023 16:00:51 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  shell-univention-lib (>= 9.0.11-9),
  univention-config (>= 15),
  univention-directory-manager-tools (>= 13.0.21-21),
- univention-join (>= 12.0.3-11),
+ univention-join (>= 12.0.5-6),
  univention-samba-local-config,
  univention-samba4-sysvol-sync (= ${binary:Version}),
  winbind,

## univention-samba4 9.0.13-7

=== debian/changelog ===
univention-samba4 (9.0.13-7) unstable; urgency=medium

  * Bug #56499: Restrict access to /var/univention-backup/samba

 -- Arvid <requate@univention.de>  Tue, 29 Aug 2023 10:55:07 +0200

## univention-samba4 9.0.14-2

=== debian/changelog ===
univention-samba4 (9.0.14-2) unstable; urgency=medium

  * Bug #56434: only stderr in cron univention-samba4-backup cron job

 -- Felix Botner <botner@univention.de>  Tue, 19 Sep 2023 12:23:34 +0200

univention-samba4 (9.0.14-1) unstable; urgency=medium

  * Bug #56401: support --backend-store=mdb in joinscript
  * Bug #56434: use samba-tool backup in univention-samba4-backup

 -- Felix Botner <botner@univention.de>  Tue, 29 Aug 2023 17:32:44 +0200

## univention-samba4 9.0.14-3

=== debian/changelog ===
univention-samba4 (9.0.14-3) unstable; urgency=medium

  * Bug #53387: recommend python3-lmdb

 -- Felix Botner <botner@univention.de>  Mon, 09 Oct 2023 11:48:28 +0200

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
  winbind,
  ${misc:Depends},
 Recommends:
+ python3-lmdb,
  univention-monitoring-samba,
  univention-nagios-samba,
 Description: UCS - Samba4 integration package

## univention-samba4 9.0.14-4

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2011-2022 Univention GmbH
+# Copyright 2011-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-samba4 (9.0.14-4) unstable; urgency=medium

  * Bug #56354: do not leak password in process list during package
    upgrades

 -- Florian Best <best@univention.de>  Wed, 25 Oct 2023 11:40:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2022 Univention GmbH
+# Copyright 2004-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-samba4 9.0.15-1

=== debian/changelog ===
univention-samba4 (9.0.15-1) unstable; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump
  * Bug #55668: Fix shellcheck issues

 -- Philipp Hahn <hahn@univention.de>  Fri, 08 Dec 2023 11:26:21 +0100

univention-samba4 (9.0.14-5) unstable; urgency=medium

  * Bug #56794: Depend on samba-ad-dc instead of samba-dsdb-modules

 -- Arvid <requate@univention.de>  Mon, 27 Nov 2023 13:41:30 +0100

## univention-samba4 9.0.15-2

=== debian/changelog ===
univention-samba4 (9.0.15-2) unstable; urgency=medium

  * Bug #57027: Fix resync in create_spn_account.sh

 -- Arvid <requate@univention.de>  Mon, 05 Feb 2024 16:53:54 +0100

## univention-samba4 9.0.18-2

=== debian/changelog ===
univention-samba4 (9.0.18-2) unstable; urgency=medium

  * Bug #57529: use rsync --filter with "-x" rules to only sync security.NTACL

 -- Arvid <requate@univention.de>  Thu, 30 Sep 2024 16:26:00 +0200

univention-samba4 (9.0.18-1) UNRELEASED; urgency=medium

  * Bug #57581 UCS 5.0-9 version bump

 -- Arvid <requate@univention.de>  Thu, 12 Sep 2024 13:18:30 +0200

univention-samba4 (9.0.17-1) UNRELEASED; urgency=medium

  * Bug #57350 UCS 5.0-8 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 03 Jun 2024 13:44:18 +0200

univention-samba4 (9.0.16-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:54 +0100

## univention-samba4 9.0.18-3

=== debian/changelog ===
univention-samba4 (9.0.18-3) unstable; urgency=medium

  * Bug #57310: Let stop_conflicting_services stop winbindd first

 -- Arvid <requate@univention.de>  Tue, 19 Nov 2024 17:05:02 +0100

## univention-samba4 9.0.20

=== debian/changelog ===
univention-samba4 (9.0.20) unstable; urgency=medium

  * Bug #58471: Create "Pre-Windows 2000 Compatible Access", "Windows
    Authorization Access Group" and "IIS_IUSRS" in UDM via joinscript

 -- Arvid Requate <requate@univention.de>  Fri, 18 Jul 2025 15:19:40 +0200

univention-samba4 (9.0.19-1) UNRELEASED; urgency=medium

  * Bug #58002 UCS 5.0-10 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 04 Mar 2025 07:58:54 +0100

=== debian/control ===
--- 
+++ 
@@ -25,16 +25,13 @@
  python3-univention,
  python3-univention-heimdal,
  python3-univention-lib (>= 9.0.11-9),
- samba (>= 2:4.13.13-1),
- samba-dsdb-modules (>= 2:4.16.2-1A~5.0.0.202207191731),
- samba-vfs-modules,
+ samba-ad-dc,
  shell-univention-lib (>= 9.0.11-9),
  univention-config (>= 15),
  univention-directory-manager-tools (>= 13.0.21-21),
  univention-join (>= 12.0.5-6),
  univention-samba-local-config,
  univention-samba4-sysvol-sync (= ${binary:Version}),
- winbind,
  ${misc:Depends},
 Recommends:
  python3-lmdb,

## univention-samba4 10.0.5

=== debian/changelog ===
univention-samba4 (10.0.5) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:15 +0100

univention-samba4 (10.0.4) unstable; urgency=medium

  * Bug #55997: replace obsolete ldap client utility options (-h/-p)

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:45 +0100

univention-samba4 (10.0.3) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:36 +0100

univention-samba4 (10.0.2) unstable; urgency=medium

  * Bug #56530: change Python 2 packages into transitional packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:18 +0100

univention-samba4 (10.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Univention GmbH <packages@univention.de>
 Standards-Version: 3.5.5
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
  libpam0g-dev,
  libunivention-config-dev (>= 15.0.3),
  univention-config-dev (>= 15.0.3),
@@ -20,8 +20,6 @@
  ldb-tools,
  libunivention-ldb-modules,
  pwgen,
- python-univention (>= 6.0.9-3),
- python-univention-lib (>= 9.0.11-9),
  python3-univention,
  python3-univention-heimdal,
  python3-univention-lib (>= 9.0.11-9),

## univention-samba4 11.0.10

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2011-2023 Univention GmbH
+# Copyright 2011-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-samba4 (11.0.10) unstable; urgency=medium

  * Bug #56661: migrate from NTP to NTPSEC

 -- Arvid <requate@univention.de>  Fri, 10 Jan 2025 15:31:57 +0100

univention-samba4 (11.0.9) unstable; urgency=medium

  * Issue univention/ucs#2528: fix changelog timestamps

 -- Marius Meschter <marius.meschter@univention.de>  Thu, 05 Dec 2024 15:20:03 +0100

univention-samba4 (11.0.8) unstable; urgency=medium

  * Bug #57529: use rsync --filter with "-x" rules to only sync security.NTACL

 -- Arvid <requate@univention.de>  Thu, 05 Dec 2024 15:12:00 +0200

univention-samba4 (11.0.7) unstable; urgency=medium

  * Bug #57310: Let stop_conflicting_services stop winbindd first

 -- Arvid <requate@univention.de>  Tue, 19 Nov 2024 17:05:02 +0100

univention-samba4 (11.0.6) unstable; urgency=medium

  * Bug #57690: Adjust UCR default "allow_sasl_over_tls" to yes

 -- Arvid <requate@univention.de>  Fri, 25 Oct 2024 13:05:15 +0200

univention-samba4 (11.0.5) unstable; urgency=medium

  * Bug #57145: mdb is now default

 -- Felix Botner <botner@univention.de>  Wed, 13 Mar 2024 16:42:01 +0100

univention-samba4 (11.0.4) unstable; urgency=medium

  * Bug #56765: Remove samba4-saml-kerberos integration - only used for
    simpleSAMLphp

 -- Julia Bremer <bremer@univention.de>  Fri, 08 Mar 2024 00:18:39 +0100

univention-samba4 (11.0.3) unstable; urgency=medium

  * Bug #56661: migrate from NTP to NTPSEC

 -- Marius Meschter <marius.meschter@univention.de>  Fri, 08 Mar 2024 00:18:27 +0100

univention-samba4 (11.0.2) unstable; urgency=medium

  * Bug #56003: bind9 service was renamed to named

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:18:25 +0100

univention-samba4 (11.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2023 Univention GmbH
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-samba4 11.0.12

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2011-2024 Univention GmbH
+# Copyright 2011-2025 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-samba4 (11.0.12) unstable; urgency=medium

  * Bug #58470: Create "Pre-Windows 2000 Compatible Access", "Windows
    Authorization Access Group" and "IIS_IUSRS" in UDM via joinscript

 -- Arvid Requate <requate@univention.de>  Fri, 18 Jul 2025 15:19:50 +0200

univention-samba4 (11.0.11-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:30 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2024 Univention GmbH
+# Copyright 2004-2025 Univention GmbH
 #
 # https://www.univention.de/
 #
